<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Plugins" />
<meta property="og:description" content="Make your webseries. Better. Faster. Now" />
<meta property="og:type" content="website" />
<meta property="og:url" content="http://www.guerillashowrunner.com/tags/plugins/" />


<meta property="og:updated_time" content="2011-04-06T16:14:44&#43;00:00"/>










<meta itemprop="name" content="Plugins">
<meta itemprop="description" content="Make your webseries. Better. Faster. Now">










<meta name="generator" content="Hugo 0.18.1" />


    <link rel="canonical" href="plugins/index.html">

    <title>Guerilla Showrunner</title>

    <!-- combined, minified CSS -->
    <link href="../css/style.css" rel="stylesheet"   crossorigin="anonymous">

    
    <!-- RSS 2.0 feed -->
    <link href="plugins/index.xml" rel="alternate" type="application/rss+xml" title="Guerilla Showrunner" />
    

    

    

    

  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>

    <div class="blog-masthead">
      <div class="container">
        <nav class="nav blog-nav">
          <a class="nav-link " href="../index.html">Home</a>
          
          
          <a class="nav-link" href="../how-to-webpage/how-to-webpage/index.html">The Complete Guide To Setting Up Your Webseries Webpage</a>
          
          <a class="nav-link" href="../consulting/consulting/index.html">Consulting</a>
          
          <a class="nav-link" href="../crazed-stalkers-free/crazed-stalkers-free/index.html">Get More Crazed Stalkers - the free course</a>
          
          <a class="nav-link" href="../about/about/index.html">About / Contact</a>
          
          
        </nav>
      </div>
    </div>

    <header class="blog-header">
      <div class="container">
        <h1 class="blog-title"><a href="../index.html" rel="home">Guerilla Showrunner</a></h1>
        <p class="lead blog-description">Make your webseries. Better. Faster. Now</p>
      </div>
    </header>

    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          





<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="../2011/04/the-complete-guide-to-setting-up-your-webseries-webpage-part-2/index.html">The Complete Guide To Setting Up Your Webseries Webpage, Part 2</a></h2>
    <p class="blog-post-meta"><time datetime="2011-04-06T16:14:44Z">Wed Apr 6, 2011</time> by admin in 
<i class="fa fa-folder" aria-hidden="true"></i>&nbsp;<a href="../categories/hard-information.html" rel="category tag">Hard Information</a>


<i class="fa fa-tag" aria-hidden="true"></i>&nbsp;<a href="design.html" rel="tag">design</a>, <a href="goals.html" rel="tag">goals</a>, <a href="plugins.html" rel="tag">plugins</a>, <a href="seo.html" rel="tag">seo</a>, <a href="themes.html" rel="tag">themes</a>, <a href="thesis.html" rel="tag">thesis</a>, <a href="website.html" rel="tag">website</a>, <a href="wordpress.html" rel="tag">wordpress</a>

</p>
  </header>
  <p>Other parts of this series : <a href="http://guerillashowrunner.com/how-to-webpage/">The Complete Guide to Setting Up Your Webseries Webpage</a></p>

<p>Welcome back, one and all! In the last part of this monster guide to putting together a Web series Webpage, we ran through the building blocks of your site - what it needs to do, what you don&rsquo;t need to do, and the basic engines and host for your site.</p>

<p>You could build a Web series site perfectly happily just using the resources from Part 1. But in Part 2, we&rsquo;ll look at all the stuff you need to polish your site up and make it shine - make it pretty, make it usable, make it immune to traffic surges, and make it easily findable by people and search engines alike.</p>

<p></p>

<h2 id="wordpress-plugins-what-you-need-and-what-you-don-t">Wordpress Plugins - what you need and what you don&rsquo;t</h2>

<p>The beauty of Wordpress is its extensibility. You can find a plugin to do almost anything with the &lsquo;press.</p>

<p>The disadvantage of that extensibility is that it&rsquo;s very easy to try to do everything. And plugins aren&rsquo;t free. Each one loads a bit of extra code into Wordpress, usually slowing it down at least a bit - sometimes a lot.</p>

<p>So if you&rsquo;re not careful, loading a million plugins into the Press can leave you with a site that loads so slowly you can cook a meal before you view the front page.</p>

<p>Any time you add a new plugin, it&rsquo;s worth reloading the page a bunch of times, or using some benchmarking software if you have it, to check that the site still runs fast enough for you. Some plugins are MUCH worse than others, and will slow your site to a crawl.</p>

<p>However, some plugins are just essential. In my opinion, you definitely need:</p>

<p><a href="https://wordpress.org/extend/plugins/hyper-cache/">HyperCache</a>. By default, Wordpress rebuilds each page as visitors view them and serves them up when it&rsquo;s finished. That&rsquo;s fine if you&rsquo;ve only got a few people viewing the spike, but as soon as, say, your Web series hits the front page of Reddit, the strain of having to repeatedly rebuild the same pages will take your website down faster than being an non-Caucasian guy carrying electronics in the London Underground. A caching plugin means that Wordpress doesn&rsquo;t have to do all that work - instead, the first time Wordpress builds a page, it saves that page and then serves it up to all subsequent visitors who load the same page. <a href="http://www.tutorial9.net/tutorials/web-tutorials/wordpress-caching-whats-the-best-caching-plugin/">This test showed</a> that HyperCache, the best of the bunch, speeded a Wordpress site up by more than 10 times.</p>

<p><a href="http://www.arnebrachhold.de/projects/wordpress-plugins/google-xml-sitemaps-generator/">Google Sitemap Generator</a>. You want the Big G to be able to index all your pages as fast and efficiently as possible. A lot of that is taken care of with the Thesis theme, below, but one thing Thesis doesn&rsquo;t do is generate a sitemap - a complete list of every page on your site, all nicely indexed for Google to pick up and run with. Hence, this plugin. It&rsquo;s very simple, it&rsquo;ll automatically let Google (and Bing, if you care) know about your series, and it improves your chance of random people finding your page.</p>

<p><a href="http://www.myvirtualdisplay.com/wordpress-projects/include_html/">Include HTML</a>. You need this plugin for one very specific reason - if you don&rsquo;t have it, it&rsquo;s very hard to use the YouTube -&gt; Google Analytics hack I talked about a couple of weeks ago. Since being able to get precise details on how far through your videos fans are watching is, quite frankly, the best thing since we stopped having to use Actual Film, you want this, you want it bad, and you want it now.</p>

<p><a href="http://help.tweetmeme.com/2009/04/06/wordpress-plugin/">Tweetmeme button</a>. There&rsquo;s no shortage of argument as to what the best social media plugins to use with Wordpress are - some people will advocate great big things that allow you to share on any of 45 different social media sites, whilst others, like me, would prefer to suggest a simple one or two choices. I&rsquo;m currently recommending Tweetmeme because it&rsquo;s used by some very smart, plugged-in people, and because a good bit of research in everything from restaurant design to cognitive theory suggests that the more choices you give your viewer, the less likely they actually are to take an action. Hence, give them 40 social media sites, they&rsquo;ll bookmark you on none of them. Give them one (or perhaps two if you can find a decent Facebook plugin - personally I haven&rsquo;t yet) choice, and you&rsquo;ll get more results.</p>

<p>That&rsquo;s it!</p>

<h2 id="a-few-plugins-you-don-t-need">A few plugins you DON&rsquo;T need</h2>

<p><strong>SEO plugin</strong> <a href="https://wordpress.org/extend/plugins/all-in-one-seo-pack/">All-In-One SEO</a> is the big dog here. If you&rsquo;re using the Thesis theme, which I recommend (below), all your Search Engine Optimisation is already done for you, and you don&rsquo;t need this (frankly rather clunky) plugin. If you decide to roll your own theme or use a free one, you probably will need this plugin, though.</p>

<p><strong>YouTube plugin</strong> There are a number of plugins out there perporting to make your YouTube embedding easier in Wordpress. I don&rsquo;t recommend them because a) it&rsquo;s not like it&rsquo;s hard to begin with (Copy, Paste, Done), and b) if you use them you can&rsquo;t use the YouTube-&gt;Analytics stuff.</p>

<h2 id="and-some-that-are-up-to-you">And some that are up to you</h2>

<p><strong>Related Posts plugin or other blogging-specific plugins</strong> Top Tags, Related Posts, and similar things tend to get recommended in any article on Wordpress plugins. For a Web series, I&rsquo;d skip them - Related Posts doesn&rsquo;t make much sense for a drama series, and you&rsquo;re likely not going to be tagging extensively. If you&rsquo;re producing a non-drama info series, they might be of more use - however, be aware that Relateed Posts plugins in particular can be a bit heavy on the server (although they do give a nice SEO boost).</p>

<p><strong>Most Popular Post plugin</strong> Again, depends on the series you&rsquo;re making. If you&rsquo;re doing something that can be watched non-sequentially, you might well get some utility out of a plugin that allows you to display your most popular episodes - research indicates it can boost the chances of a viewer staying around on your page. I&rsquo;ve only just tested one of these myself, but currently it appears that <a href="http://alexking.org/projects/wordpress/readme?project=popularity-contest">Popularity Contest</a> is pretty good.</p>

<p><strong>Contact form</strong>. There are two reasons I don&rsquo;t use a contact form on this or any site. One, I just like email - I prefer it as a user to those very anonymous contact forms that you always suspect just get routed straight to the circular filing cabinet (ie the bin). And two, believe it or not, there appear not to be any good contact form plugins for Wordpress that don&rsquo;t cost the earth. I might want a contact form, but I&rsquo;m not paying <a href="http://www.gravityforms.com/purchase-gravity-forms/">$39 for one</a>.</p>

<h2 id="what-to-do-with-these-plugins">What To Do With These Plugins</h2>

<p>Installing plugins in Wordpress is pretty easy. Download the plugin (normally as a .zip file), unzip it, and then, when the time comes to upload onto your server, upload each plugin&rsquo;s directory into /wp_content/plugins.</p>

<p>Then activate them through the Wordpress control panel.</p>

<h2 id="theme-thesis">Theme: Thesis</h2>

<p>As you may have realised by now, I&rsquo;m not a big fan of spending money where I don&rsquo;t have to. However, I AM a big fan of spending money where I do have to.</p>

<p>You&rsquo;ve set up the functionality of your site, or most of it, by now, but you&rsquo;ll soon see that the default Wordpress design is kinda ugly and not well suited to a web series. Hence, you&rsquo;ll need to customise the look of Wordpress - and the way to do that is through a &ldquo;theme&rdquo;.</p>

<p>Go have a Google on &ldquo;Wordpress Theme&rdquo;. There are a LOT of them. There are even thousands of free ones.</p>

<p>So why the hell am I advising you to buy not just a Wordpress theme, but one that&rsquo;s decidedly not cheap ($87)?</p>

<p>Because it will save you a LOOOOOT of pain and hassle.</p>

<p>Thesis is, for starters, extremely customisable, and 95% of the customisation is through menus and drop-down lists. Most other Wordpress themes require you to edit CSS (Cascading Style Sheets), usually with no documentation, to achieve the look you want, and often aren&rsquo;t very flexible or easy to use whilst you&rsquo;re doing so. I&rsquo;m very proficient with CSS and HTML - I&rsquo;ve been designing websites since long before the former existed - and I still prefer using Thesis, because having the customisation options cuts hours at a time off my development.</p>

<p>There&rsquo;s also a very active user community for the theme, meaning that answers to obscure questions are a quick Google away - again, as opposed to J Random Free Theme, where you might well be the only person using it seriously.</p>

<p>And it&rsquo;s highly optimised for speed (notice this blog&rsquo;s kinda fast?) and Search Engine Optimisation, meaning you don&rsquo;t have to learn anything much about that particularly arcane playground.</p>

<p>So - you&rsquo;ll need to buy Thesis. Once you&rsquo;ve got it, you&rsquo;ll need to unzip it and upload it to the wp_content/themes directory of your website. From there, you can select it from the Wordpress Themes panel - and when you do, you&rsquo;ll find you have an absolute ton of options to choose from, a place to upload your logo, lots of ways to change how the site operates, and so on.</p>

<p>I&rsquo;m going to recommend some design and operation settings in the third part of this series, but they&rsquo;re just suggestions. You can design however you feel will best achieve your goals for the site.</p>

<h2 id="domain-name">Domain Name</h2>

<p>You&rsquo;re probably wondering why I haven&rsquo;t talked about a domain name yet.</p>

<p>You can buy yourself a domain at pretty much any time during this process, via whichever host you&rsquo;ve chosen. Once you&rsquo;ve bought it, it will take a couple of days to become available for use, so earlier is better. Personally, because domains are so cheap (approx $10 for 2 years) I tend to purchase a domain as soon as I think of a project, well before I get to actually creating it - the Guerilla Showrunner domain, for example, was sitting around for 2 years before I started writing here.</p>

<p>I&rsquo;d still recommend a .com domain if you possibly can. Other TLDs (Top Level Domains - .com, .net, .co.uk, etc) are available, but your audience will assume you&rsquo;re a .com unless you make a really big point otherwise - and that&rsquo;ll lose you viewers if you&rsquo;ve actually chosen a .tv or similar.</p>

<p>Unless you&rsquo;re doing something very complicated yourself, setting your domain up to point to your website will be very simple, and will be handled by your web host. It&rsquo;s worth noting that both Dreamhost and NFS.net (see <a href="http://guerillashowrunner.com/2011/04/the-complete-guide-to-setting-up-your-web-series-webpage-part-1">Part 1</a>) will also provide you a temporary domain to work on the site even if you don&rsquo;t have a domain name yet - so you can easily get your site set up and happy before buying a domain.</p>

<p>You&rsquo;ll also want email for your domain name - <a href="../cdn-cgi/l/email-protection.html" class="__cf_email__" data-cfemail="c2abaca4ad82afbbb5a7a0b1a7b0aba7b1eca1adaf">[email&#160;protected]</a>, etc. Now, you can run an &ldquo;email server&rdquo; on the same machine as your website, but - and I speak from experience here, having done it for many years - that way lies a pain in the ass so royal I think it&rsquo;s having a wedding in London this month.</p>

<p>If your website goes down and you&rsquo;re hosting email on that machine, you can&rsquo;t get your email. Yes, your WEBSITE crashing means your email stops working. This Is Not Good.</p>

<p>Worse, any email anyone sends you will bounce. You&rsquo;ll be panicking and running around from the moment it drops - or worse, from when you realise it&rsquo;s been down for six hours and you&rsquo;ve lost the mail from your sponsors you had to reply to NOWNOWNOW.</p>

<p>Instead, I&rsquo;d recommend setting up <a href="https://www.google.com/apps/intl/en/group/index.html">a free account on Google Apps</a> and running your domain&rsquo;s email through that. It&rsquo;s very user-friendly, and it&rsquo;s extremely reliable. Even better than that, its reliability is totally out of your hands, so you don&rsquo;t have to worry about it at all. I&rsquo;ve been running all my domains this way for years, and I&rsquo;m very happy with the results.</p>

<h2 id="google-analytics">Google Analytics</h2>

<p>You need to know what&rsquo;s happening with your website. It&rsquo;s as simple as that. You need to know how many people are coming to see your show, from where, when, why, and how much of it they&rsquo;re watching.</p>

<p>For that, you need to sign up to <a href="http://www.guerillashowrunner.com/tags/plugins/www.google.com/analytics">Google Analytics</a>. There are other analytics programs out there, but Google&rsquo;s one is free, very usable, and stable as hell.</p>

<p>Once you&rsquo;ve signed up, it&rsquo;ll give you simple instructions to add your first domain. Thesis already has a dedicated section in its setup for analytics, so simply take the code that Google provides and paste it in there. And you&rsquo;re done.</p>

<p>I&rsquo;d also recommend you set up YouTube analytics, as I <a href="http://guerillashowrunner.com/2011/03/how-to-learn-where-your-youtube-viewers-stop-watching-your-videos-when-they-start-where-they-come-from-and-more/">discussed a while ago</a> - but we&rsquo;ll talk more about this in the next installment.</p>

<h2 id="putting-it-all-together">Putting it all together</h2>

<p>So you&rsquo;ve downloaded, bought, or otherwise aquired all that lot - how do you get it going?</p>

<p>Here&rsquo;s a quick runthrough. I don&rsquo;t have the space to go into massive detail, but hopefully this should get you started.</p>

<ol>
<li><p>Sign up for webhosting. Get the domain name of your choice at the same time.</p></li>

<li><p>Create your first site on your webhost, using your host&rsquo;s control panel (should be fairly self-explanatory)</p></li>

<li><p>If needed, request a MySQL (database) process to be started for your site (Sounds a bit yikes, but don&rsquo;t worry - your host&rsquo;s control panel will have options for this if needed)</p></li>

<li><p>Create a new database for your Wordpress install through your host&rsquo;s control panel - call it whatever you like.</p></li>

<li><p>Create a user for that database. Write the database name, username and password down.</p></li>

<li><p>Download an SFTP program (<a href="https://winscp.net">WinSCP</a> for Windows, <a href="http://www.guerillashowrunner.com/tags/plugins/cyberduck.ch">Cyberduck</a> for Mac.</p></li>

<li><p>Use the username, password and host provided by your webhosts to log into your site via SFTP, and upload everything in the Wordpress .zip file to the root directory.</p></li>

<li><p>Get a cup of tea.</p></li>

<li><p>Upload everything from the Thesis .zip into the wp_content/themes directory, and everything from all your plugin .zips to the wp_content/plugins directory.</p></li>

<li><p>Using a Web browser, go to the temporary web address for your site, or the permanent one if it&rsquo;s available.</p></li>

<li><p>Follow the instructions onscreen! If it tells you to change permissions, you can do that by navigating to the file or folder in your SFTP program, right-clicking on the file or folder, and selecting &ldquo;Permissions&rdquo;</p></li>

<li><p>Log into your new Wordpress installation!</p></li>

<li><p>Go to the &ldquo;Plugins&rdquo; directory, activate all the plugins, and check their settings pages through the &ldquo;settings&rdquo; panel. Make sure they&rsquo;re all listed as working - if there&rsquo;s no big red box saying &ldquo;It&rsquo;s all gone wrong!&rdquo; in their settings page, they&rsquo;re working. Again, change permissions if you need to.</p></li>

<li><p>Go to &ldquo;Appearance&rdquo;, select &ldquo;Themes&rdquo;, and select the Thesis theme.</p></li>

<li><p>Sign up to Analytics, get the code, and install it in the &ldquo;Stat and Tracking Scripts&rdquo; box in the Thesis theme.</p></li>
</ol>

<p>And you&rsquo;re all set, and ready to start customising your new website! (You&rsquo;ll add in the mailing list once you start doing this!)</p>

<p><em>In the third part of this series: Designing your site. Do you need to hire a designer? Logos, integrating your mailing list, achieving your goals, and custom code to make Thesis do what you need.</em></p>

<p>**What I’d like you to do now: if you found this article useful, please click the retweet button below to share it with others. And let me know if you have any additional Website tips or have had any problems in the comments below! **</p>
  <a href='../2011/04/the-complete-guide-to-setting-up-your-webseries-webpage-part-2/index.html'>Read more →</a>
</article> 







        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">
      <p>
      
      Blog template created by <a href="https://twitter.com/mdo">@mdo</a>, ported to Hugo by <a href='https://twitter.com/mralanorth'>@mralanorth</a>.
      
      </p>
      <p>
      <a href="plugins.html#">Back to top</a>
      </p>
    </footer>
<script data-cfasync="false" src="../cdn-cgi/scripts/5c5dd728/cloudflare-static/email-decode.min.js"></script><script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-696676-8', 'auto');
  ga('send', 'pageview');

</script>
  </body>

</html>
